package com.nisum.springboot;

import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.context.annotation.Bean;

import springfox.documentation.builders.RequestHandlerSelectors;
import springfox.documentation.spi.DocumentationType;
import springfox.documentation.spring.web.plugins.Docket;
import springfox.documentation.swagger2.annotations.EnableSwagger2;

@SpringBootApplication
@EnableSwagger2
public class SpringbootMongodbApplication {
	
	//http://localhost:8888/swagger-ui.html
	//http://localhost:8888/v2/api-docs
	public static void main(String[] args) {
		SpringApplication.run(SpringbootMongodbApplication.class, args);
	}
	
	@Bean
	   public Docket productApi() {
	      return new Docket(DocumentationType.SWAGGER_2).select()
	         .apis(RequestHandlerSelectors.basePackage("com.nisum.springboot")).build();
	      
	      // This below code also working fine http://localhost:8888/swagger-ui.html
			/*
			 * return new Docket(DocumentationType.SWAGGER_2) .select()
			 * .apis(RequestHandlerSelectors.any()) .paths(PathSelectors.any()) .build();
			 */
	   }

}
