package com.nisum.springboot.controller;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import com.nisum.springboot.entity.Publisher;
import com.nisum.springboot.repository.PublisherRepository;

@RestController
@RequestMapping("/publisher")
public class PublisherController {
	
	@Autowired
	private PublisherRepository publisherRepository;
	
	@PostMapping
	public Publisher savePublisher(@RequestBody Publisher publisher) {
		return publisherRepository.save(publisher);
	}
	
	@GetMapping
	public List<Publisher> getPublishers() {
		return publisherRepository.findAll();
	}
	
	@GetMapping("/{title}")
	public List<Publisher> getPublisher(@PathVariable String title) {
		return publisherRepository.getBookDetails(title);
	}


}
