package com.nisum.springboot.controller;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import com.nisum.springboot.entity.Mobile;
import com.nisum.springboot.entity.User;
import com.nisum.springboot.service.UserService;

@RestController
@RequestMapping("/user")
public class UserController {
	
	@Autowired
	private UserService userService;
	
	@PostMapping
	public User saveUser(@RequestBody User user) {
		return userService.saveUser(user);
	}
	
	@GetMapping("/userByName/{name}")
	public List<User> getUserByName(@PathVariable String name) {
		return userService.getUserByName(name);
	}

	@GetMapping("/userByCity/{city}")
	public List<User> getUserByCity(@PathVariable String city) {
		return userService.getUserByCity(city);
	}
	
	@GetMapping("/getMobilesByUserName/{name}")
	public List<User> getMobilesByUserName(@PathVariable String name) {
		return userService.getMobilesByUserName(name);
	}
}
