package com.nisum.springboot.repository;

import java.util.List;

import org.springframework.data.mongodb.repository.MongoRepository;
import org.springframework.data.mongodb.repository.Query;
import org.springframework.stereotype.Repository;

import com.nisum.springboot.entity.Employee;

@Repository
public interface EmployeeRepository extends MongoRepository<Employee, String>{
	
	@Query("{'name' : ?0}")
	List<Employee> findByName(String name);
	
	List<Employee> findByNameOrderByDepartment(String name);
	
	 //here 0 for exclusion & 1 for inclusion
	@Query(value="{name: ?0}" , fields = "{'firstname' : 1,'department' : 1, 'age' : 1, _id : 0}")
	//@Query(value="{name: ?0}" , fields = "{'lastname' : 0, 'age' : 0}")
	List<Employee> getNameValues(String name);
	
	//@Query("{name: {'$regex' : '?0' } }")
	@Query("{name: {'$regex' : '?0', '$options' : 'i' } }") // like %%
	List<Employee> getEmployeeByReg(String name);
	
	
	//Query("{'age' : {'$gt' : ?0} }")
	@Query("{'age' : { '$gte' : ?0, '$lte' : ?1 } }")    
	List<Employee> getEmployeesAgeBetween(int minage, int maxage);
	
	@Query("{'name' : ?0 , 'department' : ?1}")
	List<Employee> findByNameAndDept(String name, String department);
	

}
