package com.nisum.springboot.repository;

import java.util.List;

import org.springframework.data.mongodb.repository.MongoRepository;
import org.springframework.data.mongodb.repository.Query;
import org.springframework.stereotype.Repository;

import com.nisum.springboot.entity.Product;

@Repository
public interface ProductRepository extends MongoRepository<Product, String>{

	List<Product> findByProductName(String productName);
	
	@Query("{productName: ?0}")
	List<Product> getWithProductName(String productName);
	
	@Query(value="{productName: ?0}" , fields = "{'price' : 1}")
	List<Product> getProductValues(String productName);

}
