package com.nisum.springboot.repository;

import java.util.List;

import org.springframework.data.mongodb.repository.MongoRepository;
import org.springframework.data.mongodb.repository.Query;
import org.springframework.stereotype.Repository;

import com.nisum.springboot.entity.Mobile;
import com.nisum.springboot.entity.User;

@Repository
public interface UserRepository extends MongoRepository<User, String>{
	
	List<User> findByName(String name);

	@Query("{'address.city':?0}")
	List<User> findByCity(String city);
	
	@Query("{'mobiles.name':?0}")
	List<User> getMobilesByUserName(String name);

}
