package com.nisum.springboot.service;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.nisum.springboot.entity.Employee;
import com.nisum.springboot.repository.EmployeeRepository;

@Service
public class EmployeeService {
	
	@Autowired
	private EmployeeRepository employeeRepository;

	public List<Employee> saveEmployees(List<Employee> employees) {
		return employeeRepository.saveAll(employees);
	}

	public List<Employee> getAllEmployees() {
		return employeeRepository.findAll();
	}
	
	public List<Employee> findByName(String name){
		return employeeRepository.findByNameOrderByDepartment(name);
		//return employeeRepository.getNameValues(name);
		//return employeeRepository.getEmployeeByReg(name);
		//return employeeRepository.findByNameOrderByDepartment(name);
	}

	public List<Employee> findByNameAndDept(String name, String department) {
		return employeeRepository.findByNameAndDept(name, department);
	}

	public List<Employee> getEmployeesAgeBetween(int minage, int maxage) {
		return employeeRepository.getEmployeesAgeBetween(minage,maxage);
	}

}
