package com.nisum.springboot.service;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.nisum.springboot.entity.Product;
import com.nisum.springboot.repository.ProductRepository;

@Service
public class ProductService {
	
	@Autowired
	private ProductRepository repository;
	
	public Product saveProduct(Product product) {
		return repository.save(product);
	}
	
	public List<Product> getAllProducts(){
		return repository.findAll();
	}
	
	public Product getProduct(String productId){
		return repository.findById(productId).get();
	}
	
	public Product updateProduct(Product product){
		Product existingProduct=repository.findById(product.getProductId()).get();
		existingProduct.setProductName(product.getProductName());
		existingProduct.setPrice(product.getPrice());
		return repository.save(existingProduct);
	}
	
	public String deleteProduct(String productId) {
		repository.deleteById(productId);
		return productId+" ProductId Deleted Successfully";
	}

	public List<Product> getProductName(String productName) {
		//return repository.findByProductName(productName);
		return repository.getWithProductName(productName);
		//return repository.getProductValues(productName);
	}

}
